Page MenuHomePhabricator

Implement the Volunteer NDA process in Phabricator
Closed, ResolvedPublic

Description

See https://wikitech.wikimedia.org/wiki/Talk:Volunteer_NDA , which includes a prototype in phab-01.

So far we are handling volunteer requests requiring NDAs on a case by case basis. We tried to setup a process based on RT, but it didn't work. Phabricator should be better suited for this task.

Event Timeline

Qgil created this task.Oct 13 2014, 9:20 PM
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Dzahn.
Qgil added subscribers: RobLa-WMF, csteipp.
jeremyb updated the task description. (Show Details)Oct 14 2014, 10:25 PM

I meet today with @LuisV_WMF and @MBrar.WMF to discuss the process proposed at https://wikitech.wikimedia.org/wiki/Talk:Volunteer_NDA

We agreed that this looks like a decent translation of the current ad-hoc process (if these two words can coexist), only simpler and faster, not requiring cryptic access to RT, attachments in emails, printed paper or pen signatures. They will try the prototype in phab-01 (linked from the URL above) and I encourage the rest of you to do the same, if only to get other users besides myself running through it.

I will propose this task as part of ECT's November sprint, although there is a dependency on T656: Enable Legalpad that I will need to discuss first with our Phabricator team.

Dzahn added a comment.Nov 7 2014, 8:01 PM

Hi Quim,

so in RT we have "#8227: Define the RT process for volunteer NDAs" RT #8227 (https://rt.wikimedia.org/Ticket/Display.html?id=8227) still open.

What should we do with that one? Just close it in favor of this one, because phab replaces RT. Or, just wait until it's being imported, then merge into this? Other?

Qgil added a comment.Nov 7 2014, 9:09 PM

You can close it, and if we don't forget, we can merge it anyway when it lands here.

Dzahn added a comment.Nov 7 2014, 10:09 PM
In T655#20038, @Qgil wrote:

You can close it, and if we don't forget, we can merge it anyway when it lands here.

Thank you Quim. done and closed, linked to here.

Qgil claimed this task.Nov 27 2014, 9:43 PM
Qgil moved this task from Backlog to Ready to Go on the ECT-December-2014 board.Dec 9 2014, 5:19 PM
Qgil raised the priority of this task from Normal to High.Dec 19 2014, 8:12 AM
Qgil updated the task description. (Show Details)Dec 19 2014, 2:25 PM
Qgil added projects: acl*sre-team, WMF-NDA.
Qgil updated the task description. (Show Details)
Qgil added a comment.EditedDec 19 2014, 2:44 PM

@LuisV_WMF, @Dzahn, @RobLa-WMF, you should be able to access {L2}, which is just a copy of https://wikitech.wikimedia.org/wiki/File:Volunteer_Non-disclosure_Agreement_Template.pdf with this change:

and _________________________________ ("Volunteer”) 

and the undersigning contributor ("Volunteer”)

I need your OK (among other things listed in the description of this task). One important detail, I have been assuming the these volunteers will join WMF-NDA, but this also needs an explicit approval.

Also, I need a couple of volunteers to test this process, just for fun. Comment here and follow https://wikitech.wikimedia.org/wiki/Talk:Volunteer_NDA . We will go through all the steps as in real life -- except in the final point of joining WMF-NDA.

PS: Can View policy == can sign, and this is the only reason why L2 is not publicly visible.

Qgil updated the task description. (Show Details)Dec 19 2014, 2:46 PM

@Qgil I can test the proccess if you wish.

Qgil added a comment.Dec 20 2014, 8:16 PM

@Matanya, great! Please go to https://wikitech.wikimedia.org/wiki/Talk:Volunteer_NDA#Create_a_request and follow the instructions. Just a dummy request CCing a couple of real WMF employees (who will also join the test) is ok. The idea is that the process is so clear that you don't need anything from me. :)

Qgil added a comment.Dec 23 2014, 5:48 PM

Test successful!

In T85168#942008, @Qgil wrote:

The part that was really was testing was the access to the Legalpad and it signature. I noticed the bits of the process that need better documentation, and I will work on it. We can always keep polishing details case by case. All in all, this process is already a big improvement.

Qgil reassigned this task from Qgil to LuisV_WMF.Dec 29 2014, 12:09 PM

Reassigning to Luis, since we need an explicit WMF-Legal approval for this process.

@Dzahn and @RobLa-WMF, your acceptance is also welcome.

Dzahn added a comment.Jan 5 2015, 12:22 PM

T84818 needs a NDA confirmation please

chasemp added a subscriber: chasemp.Jan 8 2015, 8:25 PM

So we have pretty much phased out RT and the existing process in the wiki mandated queues that are not in use anymore. I updated (unilaterial) the page here: https://wikitech.wikimedia.org/wiki/Volunteer_NDA

This essentially tells people to make an ops ticket, ops will review and make private if they have a real need for access, to CC qgil and lvilla, and to attach their NDA once the ticket has been triaged as private.

Without updating this page it was way, way wrong. I hope it is just less wrong now. Please someone with legal and/or community context help make this better.

Qgil added a comment.Jan 8 2015, 9:05 PM

@chasemp, did you see the process described at https://wikitech.wikimedia.org/wiki/Talk:Volunteer_NDA ? Any reason to bypass that?

In T655#964236, @Qgil wrote:

@chasemp, did you see the process described at https://wikitech.wikimedia.org/wiki/Talk:Volunteer_NDA ? Any reason to bypass that?

Nope, didn't know that was there. If you want to replace one with other I have really no idea what's right, but the existing page was horribly abysmally wrong and nothing linked to the Talk page so updating things to the best of my ability seemed the thing to do.

Although I will say it seems that doesn't address attached NDA privacy, or even how to send in the NDA itself. I know if I was signing that with my full name and signature I would not want it out in the open. I think there is also a place for address?

I think there is also a place for address?

Yeah, the NDA documents (paper version) have a place to put your address next to the WMF's legal mailing address. I'm not sure about the one Phab has though.

Qgil added a comment.Jan 9 2015, 10:01 PM

@chasemp, we have been discussing and testing that process for a while now, and basically it is just waiting the official blessing of Legal (they ok'ed it verbally when I presented it to Luis, months ago).

There is no sending of NDA. There is no email, etc, just a checkbox. That was the whole point of needing Legalpad here.

Really, I'm only waiting for @LuisV_WMF's OK to close this task as Resolved and make the new process official. See the description and the discussion

Sounds good to me if that is cool with legal. I wasn't trying to redefine the process, what is there now is basically the old idea in the new system. Before what was there was a dead end.

Qgil added a comment.Jan 9 2015, 10:25 PM

Ok, but let's agree that the first NDA request we receive needs to go through the new Legalpad-based process. Luis will need to vet it anyway, so it will be overall less work to complete this task for good.

Qgil claimed this task.Feb 2 2015, 7:13 AM
Qgil added a project: ECT-February-2015.
Qgil moved this task from Backlog to Doing on the ECT-February-2015 board.Feb 3 2015, 7:54 PM
Qgil lowered the priority of this task from High to Normal.Feb 4 2015, 7:31 AM
Qgil added a comment.Feb 5 2015, 4:59 PM

I have updated https://wikitech.wikimedia.org/wiki/Volunteer_NDA

Now THIS is the process.

Feedback and fine tuning is still welcome. We might find details as real requests come by. I will leave this task open until the end of February, just in case.

Qgil updated the task description. (Show Details)Feb 5 2015, 4:59 PM
Qgil updated the task description. (Show Details)
RobH added a subscriber: RobH.Feb 5 2015, 8:12 PM

So we still don't have @LuisV_WMF's approval for this task. Which means this is not really legal approved yet?

Qgil added a comment.Feb 5 2015, 9:00 PM

WMF-Legal has not approved this process formally yet, but I believe this is only because Luis has been so busy (he had this task assigned with High priority for several weeks). He has been part of this idea of using Legalpad to handle the Volunteer NDA process, he knows the situation, and hopefully will bless it officially when we have the first case.

It appears to be assigned to you, Quim? (Unless I'm misreading Phab?)

I need @MBrar.WMF to take the lead on approving this right now - Manprit, please take a look and let me know if you have questions/need context.

The overall process looks good and is approved. I'm glad you have a director approving all final requests. The only thing we would like to change is the content of the actual NDA being signed.

Jacob and I are working on a new NDA that will hopefully read better than the one linked to here. We should have a final version for review by Luis by the end of next week. I hope that works with your timeline.

Qgil reassigned this task from Qgil to MBrar.WMF.Feb 9 2015, 8:06 AM

@LuisV_WMF, the task was assigned to you (by me, without asking you explicitly) during January. It's ok, let's finish it. I'm assign it now to @MBrar.WMF as per her comments above.

Manprit, since you are a member of WMF-Legal, you can edit the agreement directly at L2 ("Manage Document").

@Qgil We are finalizing the NDA language now. The way it is formatted now requires someone from WMF to fill in an appendix with a sentence or two about, 1) the purpose of the NDA (why is this person being granted access to Confidential Information), and 2) listing specific confidential information that they will have access to. Would it be possible to customize these agreements using this process? Or, does this process require one standard document that can just be signed by everyone? If it's the latter, we can reformat the NDA. Thanks!

Qgil added a comment.Feb 12 2015, 11:47 AM

@MBrar.WMF Legalpad doesn't offer any customization. The main use case is signing a Contributors License Agreement: a piece of text with one checkbox.

We can have different Legalpad documents though, and point different types of contributors to different documents, if the differences are worth the hassle and maintenance.

Thanks @Qgil for that additional information! We've finalized the text of the NDA so that it only really requires signatures and the date at the bottom. See

What format would you need the document in to be able to implement it?

Qgil added a comment.Mar 9 2015, 11:41 PM

Good! @MBrar.WMF, as said above, since you are a member of WMF-Legal, you can edit the agreement directly at L2 ("Manage Document").

Qgil moved this task from Backlog to Doing on the ECT-March-2015 board.Mar 10 2015, 10:21 AM

@MBrar.WMF edited he text, and I think everything is good to go. Thank you everybody!

Qgil closed this task as Resolved.Mar 10 2015, 10:22 AM
Qgil updated the task description. (Show Details)
Dzahn reopened this task as Open.Apr 6 2015, 11:31 PM

@Dzahn What still needs to be done to resolve this task?

https://wikitech.wikimedia.org/wiki/Volunteer_NDA currently say "THIS PROCESS IS UNDER LEGAL REVIEW AND IS CURRENTLY INACTIVE", but it seems it is being followed. May I be so bold to change that?

Process as I understand it currently and as it is approved by legal

https://wikitech.wikimedia.org/w/index.php?title=Volunteer_NDA&oldid=153688

chasemp closed this task as Resolved.Apr 13 2015, 9:57 PM

Process as I understand it currently and as it is approved by legal
https://wikitech.wikimedia.org/w/index.php?title=Volunteer_NDA&oldid=153688

Confirmed as valid by Manprit in legal.

The process looks great (i.e., this has legal approval! Thank you for adjusting the language. 
 It looks like we are all set now :)